!box_spr_num  = $05
!freeram      = $1473|!addr
!freeram2     = $15E8|!addr

print "INIT ",pc
       LDA !freeram
       BNE +
       LDA #$74
       STA !9E,x
       JSL SMW_InitSpriteTables
       INC !C2,x
+      RTL
print "MAIN ",pc
       PHB
       PHK
       PLB
       JSR powerup_main
       PLB
       RTL

powerup_main:
       LDA !14C8,x
       CMP #$08
       BCS +
       CMP #$07
       BCC .return
       JSR .increase_hp
       LDA #$01
       STA $18AC|!addr
       RTS
+      JSR draw_sprite
       LDY #$00
       JSL SubOffScreen
       JSL SMW_SpriteMarioInteraction
       BCC .return
.increase_hp
       STZ !14C8,x
       LDX #!SprSize-1
-      LDA !7FAB9E,x
       CMP #$05
       BNE .next_sprite
       LDA !7FAB40,x
       BMI .next_sprite
       LDA #$0B
       STA $1DFC|!addr
       INC !1FD6,x
       INC !freeram2
       RTS
.next_sprite
       DEX
       BPL -
.return
       RTS

draw_sprite:
       JSL GetDrawInfo
       REP #$20
       LDA $00
       STA $0300|!addr,y
       LDA #$2824
       STA $0302|!addr,y
       SEP #$20
       LDY #$02
       TDC
       JSL SMW_SpriteFinishOAMWrite
       RTS

